## appstream 0.7.2

=== CMakeLists.txt ===
# CMakeLists for the AppStream Project
project(appstream)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(CMAKE_BUILD_TYPE "Debug")

set(AS_VERSION_MAJOR  "0")
set(AS_VERSION_MINOR  "7")
set(AS_VERSION_PATCH  "2")
set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
set(APPSTREAM_LIB_API_LEVEL "1")

# Don't allow in-tree building
if(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})
      message(STATUS "Please do an out-of-tree build:")
      message(STATUS "rm -f CMakeCache.txt && mkdir build && cd build; cmake .. && make")
      message(FATAL_ERROR "In-tree-build detected!")
endif(${CMAKE_SOURCE_DIR} MATCHES ${CMAKE_BINARY_DIR})

#
# Options
#
option(PROVIDER_DEBIAN_DEP11 "Enable DEP11 data provider" ON)
option(PROVIDER_UBUNTU_APPINSTALL "Enable AppInstall data provider" OFF)
option(L18N "Enable localization" ON)
option(VAPI "Create and install a Vala API file" OFF)
option(QT "Build libappstream-qt" OFF)
option(TESTS "Enable Unit Tests" OFF)
option(MAINTAINER "Enable maintainer mode" OFF)

if(PROVIDER_DEBIAN_DEP11)
	add_definitions ("-DDEBIAN_DEP11")
endif()
if(PROVIDER_UBUNTU_APPINSTALL)
	add_definitions ("-DUBUNTU_APPINSTALL")
endif()

#
# Default paths
#
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "Default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Special case for /etc and /var when prefix is /usr
if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
  set(CMAKE_INSTALL_SYSCONFDIR "/etc" CACHE PATH "read-only single-machine data (etc)")
  set(CMAKE_INSTALL_LOCALSTATEDIR "/var" CACHE PATH "modifiable single-machine data (var)")
endif(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
include(GNUInstallDirs)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/data/cmake/)

message(STATUS "Compiling AppStream version ${AS_VERSION}")

add_custom_target(distclean
  "make clean"
)

#
# l18n
#
find_package (Gettext REQUIRED)

#
# Configure files
#
set (GETTEXT_PACKAGE "appstream")
set (VERSION "${AS_VERSION}")
configure_file(config.h.in ${CMAKE_BINARY_DIR}/config.h)

#
# Enable/disable testing
#
if(TESTS)
	enable_testing()
endif(TESTS)

#
# Custom C flags
#
set (MAINTAINER_CFLAGS "-Werror -Wall -Wcast-align -Wuninitialized -Wno-uninitialized -Wempty-body -Wformat-security -Winit-self")
if (NOT MAINTAINER)
	set (MAINTAINER_CFLAGS "")
endif (NOT MAINTAINER)
add_definitions(${MAINTAINER_CFLAGS})

# we do always enable this to never run into the missing-include-trap again
add_definitions("-Werror=implicit-function-declaration")

find_package(PkgConfig REQUIRED)

add_subdirectory(src)
add_subdirectory(tools)
add_subdirectory(data)
add_subdirectory(contrib)
add_subdirectory(po)
add_subdirectory(docs)
add_subdirectory(tests)
if(QT)
	add_subdirectory(qt)
endif()

=== qt/CMakeLists.txt ===
project(AppstreamQt)
cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(APPSTREAM_QT_VERSION "4" CACHE STRING "Used Qt version")

include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
add_compiler_export_flags()

find_package(Xapian 1.2 REQUIRED)

ENABLE_TESTING()

if(APPSTREAM_QT_VERSION STREQUAL "4")
    find_package(Qt4 4.8.0 COMPONENTS QtCore REQUIRED)

    set(APPSTREAMQT_SO_VERSION 0)
    set(APPSTREAMQT_VERSION "0.1")

    set(QT_USE_IMPORTED_TARGETS true)

    include(${QT_USE_FILE})
else()
    find_package(Qt5 REQUIRED COMPONENTS Core)

    set(APPSTREAMQT_SO_VERSION 1)
    set(APPSTREAMQT_VERSION "1.1")

    # when removing qt4 support, remove this too
    set(QT_QTCORE_LIBRARY Qt5::Core)
endif()

set(CMAKE_AUTOMOC on)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_INCLUDE_CURRENT_DIR_IN_INTERFACE ON)
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0003 NEW)
endif(COMMAND cmake_policy)

# Paths
if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  set(CMAKE_INSTALL_PREFIX
    "/usr" CACHE PATH "Default install prefix" FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

# Special case for /etc and /var when prefix is /usr
if(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
  set(CMAKE_INSTALL_SYSCONFDIR "/etc" CACHE PATH "read-only single-machine data (etc)")
  set(CMAKE_INSTALL_LOCALSTATEDIR "/var" CACHE PATH "modifiable single-machine data (var)")
endif(${CMAKE_INSTALL_PREFIX} STREQUAL "/usr")
include(GNUInstallDirs)

add_subdirectory(src)

=== src/CMakeLists.txt ===
# CMakeLists for AppStream database shared lib

find_package(GLIB2 2.36 REQUIRED)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
find_package(Xapian 1.2 REQUIRED)
find_package(GI REQUIRED)
find_package(LibXml2 REQUIRED)
find_library(M_LIB m)

include(GObjectIntrospectionMacros)
set(INTROSPECTION_GIRS)
set(INTROSPECTION_SCANNER_ARGS "--identifier-prefix=As" "--symbol-prefix=as" "--warn-all" "--add-include-path=${CMAKE_CURRENT_SOURCE_DIR}")
set(INTROSPECTION_COMPILER_ARGS "--includedir=${CMAKE_CURRENT_SOURCE_DIR}")

set (srcdir ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "Source dir")
set(AS_VERSION_BASE "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}" CACHE INTERNAL "LibAppStream combined version number")

set(ASLIB_XAP_SOURCES xapian/database-common.hpp
		xapian/database-read.hpp
		xapian/database-read.cpp
		xapian/database-write.hpp
		xapian/database-write.cpp
		xapian/database-cwrap.hpp
		xapian/database-cwrap.cpp
)

set(LIBAPPSTREAM_SRC
		as-utils.c
		# internal stuff to build the database
		as-data-provider.c
		data-providers/appstream-xml.c
		data-providers/ubuntu-appinstall.c
		as-cache-builder.c
		# (mostly) public API
		as-metadata.c
		as-component.c
		as-enums.c
		as-provides.c
		as-data-pool.c
		as-search-query.c
		as-database.c
		as-category.c
		as-menu-parser.c
		as-distro-details.c
		as-screenshot.c
		as-image.c
		as-release.c
		as-validator.c
		as-validator-issue.c
)

# find stuff necessary to build libappstream with DEP-11 support
if(PROVIDER_DEBIAN_DEP11)
	pkg_check_modules(YAML REQUIRED yaml-0.1)
	set(LIBAPPSTREAM_SRC ${LIBAPPSTREAM_SRC} data-providers/debian-dep11.c)
endif()

set(LIBAPPSTREAM_PUBLIC_HEADERS
		appstream.h
		as-utils.h
		as-metadata.h
		as-component.h
		as-data-pool.h
		as-enums.h
		as-provides.h
		as-search-query.h
		as-database.h
		as-category.h
		as-menu-parser.h
		as-distro-details.h
		as-screenshot.h
		as-image.h
		as-release.h
		as-validator.h
		as-validator-issue.h
)

set(LIBAPPSTREAM_PRIVATE_HEADERS
		as-utils-private.h
		as-data-provider.h
		data-providers/appstream-xml.h
		data-providers/debian-dep11.h
		data-providers/ubuntu-appinstall.h
		as-metadata-private.h
		as-component-private.h
		as-cache-builder.h
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/xapian
		    ${CMAKE_BINARY_DIR}
		    ${CMAKE_BINARY_DIR}/src
		    ${GLIB2_INCLUDE_DIR}
		    ${GIO2_INCLUDE_DIR}
		    ${LIBXML2_INCLUDE_DIR}
		    ${XAPIAN_INCLUDE_DIR}
		    ${YAML_INCLUDE_DIR}
)

add_definitions("-DAS_COMPILATION")

# ensure that the GI compiler has been found (apparently, the automatic tests fail on some machines)
if (INTROSPECTION_COMPILER STREQUAL "")
  message(FATAL_ERROR "GObject-Introspection was not found! Please install it to continue.")
endif()

add_library(appstream SHARED ${ASLIB_XAP_SOURCES} ${LIBAPPSTREAM_SRC} ${LIBAPPSTREAM_PUBLIC_HEADERS} ${LIBAPPSTREAM_PRIVATE_HEADERS})
set_target_properties(appstream PROPERTIES VERSION ${AS_VERSION} SOVERSION ${APPSTREAM_LIB_API_LEVEL})

target_link_libraries(appstream
		${GLIB2_LIBRARIES}
		${GIO2_LIBRARIES}
		${LIBXML2_LIBRARIES}
		${XAPIAN_LIBRARIES}
		${YAML_LIBRARIES}
)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/appstream.pc.in ${CMAKE_CURRENT_BINARY_DIR}/appstream.pc @ONLY)

####
# GObject Introspection
macro(_list_prefix _outvar _listvar _prefix)
  set(${_outvar})
  foreach(_item IN LISTS ${_listvar})
    list(APPEND ${_outvar} ${_prefix}${_item})
  endforeach()
endmacro(_list_prefix)

set(introspection_files ${LIBAPPSTREAM_SRC} ${LIBAPPSTREAM_PUBLIC_HEADERS})
set(Appstream_0_7_gir "appstream")
set(Appstream_0_7_gir_INCLUDES GObject-2.0 Gio-2.0)
set(Appstream_0_7_gir_CFLAGS "-I${CMAKE_CURRENT_SOURCE_DIR}/" "-DAS_COMPILATION")
set(Appstream_0_7_gir_LIBS appstream)

_list_prefix(Appstream_0_7_gir_FILES introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
set(Appstream_0_7_gir_SCANNERFLAGS --c-include appstream.h)
set(Appstream_0_7_gir_EXPORT_PACKAGES appstream)

list(APPEND INTROSPECTION_GIRS Appstream-0.7.gir)
gir_add_introspections(INTROSPECTION_GIRS)
####

install(TARGETS appstream DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${LIBAPPSTREAM_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Appstream)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appstream.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)

=== debian/changelog ===
appstream (0.7.2-1) unstable; urgency=medium

  * New upstream release: 0.7.2
  * Add very simple autopkgtest

 -- Matthias Klumpp <mak@debian.org>  Mon, 22 Sep 2014 16:14:28 +0200

appstream (0.7.1-1) unstable; urgency=medium

  * New upstream release: 0.7.1
    - Closes: #760654
  * Drop patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Mon, 08 Sep 2014 18:40:56 +0200

appstream (0.7.0-2) unstable; urgency=medium

  * appstream-doc: Install the whole AppStream documentation
  * Make appstream-index recommendation less strict (Closes: #755393)

 -- Matthias Klumpp <mak@debian.org>  Sun, 20 Jul 2014 21:04:48 +0200

appstream (0.7.0-1) unstable; urgency=medium

  * New upstream release: 0.7.0
  * Update project homepage url
  * Enable docs and qt library
  * asqt_installpaths.patch: Install Qt library to multiarch paths

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Jul 2014 16:24:48 +0200

appstream (0.6.2-1) unstable; urgency=medium

  * New upstream bugfix release: 0.6.2
  * Force-upgrade database on package installation,
    instead of doing a deferred upgrade

 -- Matthias Klumpp <mak@debian.org>  Mon, 12 May 2014 18:40:58 +0200

appstream (0.6.1-1) unstable; urgency=low

  * New upstream release: 0.6.1
  * Drop all patches: Applied upstream
  * Bump standards version: No changes needed

 -- Matthias Klumpp <mak@debian.org>  Sat, 26 Apr 2014 18:42:14 +0200

appstream (0.6.0-1) unstable; urgency=low

  * New upstream release: 0.6
  * fix-pkgconfig.patch: Fix prefix in libappstream pkg-config file

 -- Matthias Klumpp <mak@debian.org>  Wed, 16 Apr 2014 20:44:36 +0200

appstream (0.5.0-1) unstable; urgency=low

  * New upstream release: 0.5
  * Simplify rebuild-trigger in postinst script
  * Remove obsolete config-file (Closes: #727121)
  * Tighten dependency on GLib
  * Drop all patches: Applied upstream

 -- Matthias Klumpp <mak@debian.org>  Sun, 23 Feb 2014 20:34:26 +0100

## appstream 0.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(AS_VERSION_MAJOR  "0")
 set(AS_VERSION_MINOR  "7")
-set(AS_VERSION_PATCH  "2")
+set(AS_VERSION_PATCH  "3")
 set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
 set(APPSTREAM_LIB_API_LEVEL "1")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -126,19 +126,19 @@
 endmacro(_list_prefix)
 
 set(introspection_files ${LIBAPPSTREAM_SRC} ${LIBAPPSTREAM_PUBLIC_HEADERS})
-set(Appstream_0_7_gir "appstream")
-set(Appstream_0_7_gir_INCLUDES GObject-2.0 Gio-2.0)
-set(Appstream_0_7_gir_CFLAGS "-I${CMAKE_CURRENT_SOURCE_DIR}/" "-DAS_COMPILATION")
-set(Appstream_0_7_gir_LIBS appstream)
+set(AppStream_0_7_gir "appstream")
+set(AppStream_0_7_gir_INCLUDES GObject-2.0 Gio-2.0)
+set(AppStream_0_7_gir_CFLAGS "-I${CMAKE_CURRENT_SOURCE_DIR}/" "-DAS_COMPILATION")
+set(AppStream_0_7_gir_LIBS appstream)
 
-_list_prefix(Appstream_0_7_gir_FILES introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
-set(Appstream_0_7_gir_SCANNERFLAGS --c-include appstream.h)
-set(Appstream_0_7_gir_EXPORT_PACKAGES appstream)
+_list_prefix(AppStream_0_7_gir_FILES introspection_files "${CMAKE_CURRENT_SOURCE_DIR}/")
+set(AppStream_0_7_gir_SCANNERFLAGS --c-include appstream.h)
+set(AppStream_0_7_gir_EXPORT_PACKAGES appstream)
 
-list(APPEND INTROSPECTION_GIRS Appstream-0.7.gir)
+list(APPEND INTROSPECTION_GIRS AppStream-0.7.gir)
 gir_add_introspections(INTROSPECTION_GIRS)
 ####
 
 install(TARGETS appstream DESTINATION ${CMAKE_INSTALL_LIBDIR})
-install(FILES ${LIBAPPSTREAM_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Appstream)
+install(FILES ${LIBAPPSTREAM_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/AppStream)
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/appstream.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig/)

=== tools/CMakeLists.txt ===
# CMakeLists for appstream-index
project(appstream-index)

find_package(GLIB2 REQUIRED)
pkg_check_modules(GIO2 REQUIRED gio-2.0)
find_library(M_LIB m)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
		    ${CMAKE_BINARY_DIR}
		    ${CMAKE_SOURCE_DIR}/src
		    ${GLIB2_INCLUDE_DIR}
		    ${GIO2_INCLUDE_DIR}
)

# Add the appstream-index client tool
add_executable(appstream-index appstream-index.c)
add_dependencies(appstream-index appstream)

# Add the appstream-validate client tool
add_executable(appstream-validate appstream-validate.c)
add_dependencies(appstream-validate appstream)

# the client tool uses API which is currently private...
# needs to be sorted out in future
add_definitions ("-DAS_COMPILATION")

target_link_libraries(appstream-index
		${M_LIB}
		${GLIB2_LIBRARIES}
		${GIO2_LIBRARIES}
		appstream
)

target_link_libraries(appstream-validate
		${M_LIB}
		${GLIB2_LIBRARIES}
		${GIO2_LIBRARIES}
		appstream
)

install(TARGETS appstream-index DESTINATION ${CMAKE_INSTALL_BINDIR})
install(TARGETS appstream-validate DESTINATION ${CMAKE_INSTALL_BINDIR})

=== contrib/vapi/CMakeLists.txt ===
# Vala API

set(APPSTREAM_VAPI_FILE "${CMAKE_CURRENT_BINARY_DIR}/appstream.vapi")

find_program (VAPIGEN vapigen)
mark_as_advanced (VAPIGEN)
if (VAPIGEN STREQUAL "")
	message (FATAL_ERROR "Vapigen was not found. Please install it in order to generate Vala API files!")
endif (VAPIGEN STREQUAL "")

add_custom_command (OUTPUT ${APPSTREAM_VAPI_FILE}
			COMMAND ${VAPIGEN} --metadatadir=${CMAKE_CURRENT_SOURCE_DIR} -d . --vapidir=${CMAKE_CURRENT_SOURCE_DIR}
					${CMAKE_BINARY_DIR}/src/AppStream-${AS_VERSION_BASE}.gir
					--library=appstream
					--pkg glib-2.0 --pkg gio-2.0 --pkg gobject-2.0
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS appstream
					${CMAKE_BINARY_DIR}/src/Appstream-${AS_VERSION_BASE}.typelib
			VERBATIM
)
add_custom_target(vapi ALL DEPENDS ${APPSTREAM_VAPI_FILE})

install(FILES ${APPSTREAM_VAPI_FILE} DESTINATION share/vala/vapi)

=== qt/src/CMakeLists.txt ===

set(APPSTREAMQT_SRC
          component.cpp
          database.cpp
          image.cpp
          provides.cpp
          screenshot.cpp
)

set(APPSTREAMQT_PUBLIC_HEADERS
    component.h
    database.h
    image.h
    provides.h
    screenshot.h
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
		    ${CMAKE_SOURCE_DIR}/src/xapian
)

if(NOT QT)
    # hack for standalone compilation of the Qt lib (the QT variable is not defined if we build standalone)
    include_directories(${CMAKE_SOURCE_DIR}/../src/xapian)
endif()

add_library(AppstreamQt SHARED ${APPSTREAMQT_SRC})
target_link_libraries(AppstreamQt PUBLIC ${QT_QTCORE_LIBRARY} PRIVATE ${XAPIAN_LIBRARIES})
target_include_directories(AppstreamQt PUBLIC "$<INSTALL_INTERFACE:${${CMAKE_INSTALL_INCLUDEDIR}}/>")
generate_export_header(AppstreamQt)

set_property(TARGET AppstreamQt PROPERTY VERSION "${APPSTREAMQT_SO_VERSION}.0.0")
set_property(TARGET AppstreamQt PROPERTY SOVERSION "${APPSTREAMQT_SO_VERSION}" )

install(TARGETS AppstreamQt EXPORT AppstreamQtTargets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(FILES ${APPSTREAMQT_PUBLIC_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/appstreamqt_export.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/AppstreamQt")

write_basic_package_version_file(${CMAKE_CURRENT_BINARY_DIR}/AppstreamQtConfigVersion.cmake VERSION ${APPSTREAMQT_VERSION} COMPATIBILITY SameMajorVersion )

export(TARGETS AppstreamQt
       FILE "${CMAKE_CURRENT_BINARY_DIR}/AppstreamQtTargets.cmake")

set(ConfigPackageLocation ${CMAKE_INSTALL_LIBDIR}/cmake/AppstreamQt)

configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/AppstreamQtConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/AppstreamQtConfig.cmake"
  @ONLY
)

install(EXPORT AppstreamQtTargets
    FILE AppstreamQtTargets.cmake
    DESTINATION ${ConfigPackageLocation})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/AppstreamQtConfigVersion.cmake ${CMAKE_CURRENT_BINARY_DIR}/AppstreamQtConfig.cmake DESTINATION ${ConfigPackageLocation})

add_subdirectory(test)

=== debian/changelog ===
appstream (0.7.3-1) unstable; urgency=medium

  * New upstream bugfix release: 0.7.3

 -- Matthias Klumpp <mak@debian.org>  Fri, 10 Oct 2014 16:10:34 +0200

=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               gtk-doc-tools,
               intltool,
               libdbus-glib-1-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.40),
               libqt4-dev,
               libxapian-dev (>= 1.2.12),
               libxml2-dev (>= 2.8.0),
               libyaml-dev,
               xmlto
Standards-Version: 3.9.6
Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/appstream.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/appstream.git

Package: appstream-index
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Software component index generator
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database,
 screenshot services and various other things needed to make handling
 of software smarter. Also, the AppStream data allows building
 application-centric software management tools.
 .
 This package provides tools to generate, maintain and
 access the AppStream database of installed and available applications.

Package: libappstream1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (>= ${binary:Version})
Description: Library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata database.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: libappstream1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains development files necessary to develop
 software-management tools which use the AppStream library.

Package: gir1.2-appstream
Architecture: any
Section: introspection
Depends: gir1.2-freedesktop (>= 1.32),
         gir1.2-glib-2.0 (>= 1.40),
         libappstream1 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to access AppStream services (introspection data)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt0
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (>= ${binary:Version})
Description: Qt4 library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata database.

Package: libappstreamqt-dev
Architecture: any
Section: libdevel
Depends: libappstreamqt0 (= ${binary:Version}),
         libqt4-dev,
         ${misc:Depends}
Description: Qt4 library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package contains development files necessary to develop
 software-management tools which use the Qt4-based AppStream library.

Package: appstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: appstream-index
Description: Developer documentation for AppStream
 AppStream is a cross-distribution effort for creating and sharing
 metadata about software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata database
 and various other things needed to make handling of software smarter.
 .
 This package provides developer documentation for AppStream.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

AS_CONFIGURE_ARGS = -DTESTS=ON \
		-DQT=ON \
		-DPROVIDER_DEBIAN_DEP11=ON \
		-DPROVIDER_UBUNTU_APPINSTALL=ON


# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(AS_CONFIGURE_ARGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

override_dh_install:
	dh_install --list-missing

=== debian/tests/control ===
Tests: build
Depends: libappstream-dev, build-essential

## appstream 0.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 set(AS_VERSION_MAJOR  "0")
 set(AS_VERSION_MINOR  "7")
-set(AS_VERSION_PATCH  "3")
+set(AS_VERSION_PATCH  "4")
 set(AS_VERSION "${AS_VERSION_MAJOR}.${AS_VERSION_MINOR}.${AS_VERSION_PATCH}")
 set(APPSTREAM_LIB_API_LEVEL "1")

=== debian/changelog ===
appstream (0.7.4-2tanglu1) staging; urgency=medium

  * Depend on the appstream-data package

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 21:38:24 +0100

appstream (0.7.4-2) unstable; urgency=medium

  * Fix memory leak while parsing DEP-11 data
  * Return the right component name, instead of the origin

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2014 21:28:34 +0100

appstream (0.7.4-1) unstable; urgency=medium

  * New upstream release: 0.7.4

 -- Matthias Klumpp <mak@debian.org>  Thu, 30 Oct 2014 18:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -21,19 +21,20 @@
 
 Package: appstream-index
 Architecture: any
-Depends: ${misc:Depends},
+Depends: appstream-data,
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Software component index generator
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database,
+ It provides specifications for an unified software component metadata format,
  screenshot services and various other things needed to make handling
  of software smarter. Also, the AppStream data allows building
  application-centric software management tools.
  .
- This package provides tools to generate, maintain and
- access the AppStream database of installed and available applications.
+ This package provides tools to generate, maintain and access the
+ AppStream database of installed and available applications.
 
 Package: libappstream1
 Architecture: any
@@ -47,7 +48,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains a GObject-based library to access AppStream
@@ -63,7 +64,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains development files necessary to develop
@@ -80,7 +81,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains introspection data for the AppStream library.
@@ -97,7 +98,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains a Qt-based library to access AppStream
@@ -113,7 +114,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package contains development files necessary to develop
@@ -128,7 +129,7 @@
  AppStream is a cross-distribution effort for creating and sharing
  metadata about software components available in the package repositories
  of a distribution.
- It provides specifications for an unified software component metadata database
+ It provides specifications for an unified software component metadata format
  and various other things needed to make handling of software smarter.
  .
  This package provides developer documentation for AppStream.

## appstream 0.8.2

=== debian/changelog ===
appstream (0.8.2-1) unstable; urgency=medium

  * New upstream release: 0.8.2
    - Closes: #783392
    - This release drops support for Ubuntu AppInstall.
      Having DEP-11 YAML or AppStream XML is now mandatory.
  * Fix the package tests

 -- Matthias Klumpp <mak@debian.org>  Sun, 28 Jun 2015 18:56:06 +0200

appstream (0.8.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Klumpp <mak@debian.org>  Sun, 21 Jun 2015 12:06:14 +0200

appstream (0.8.0-1) experimental; urgency=medium

  * New upstream release: 0.8.0
  * The Qt library is now built against Qt5 by default

 -- Matthias Klumpp <mak@debian.org>  Mon, 26 Jan 2015 20:16:54 +0100

appstream (0.7.6-1) experimental; urgency=medium

  * New upstream release: 0.7.6
  * Adjust packaging to soname change
  * Drop all patches: Applied upstream
  * Adjust autopkgtest

 -- Matthias Klumpp <mak@debian.org>  Wed, 14 Jan 2015 21:16:08 +0100

=== debian/control ===
Source: appstream
Section: admin
Priority: optional
Maintainer: Matthias Klumpp <mak@debian.org>
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9.0.0),
               gtk-doc-tools,
               intltool,
               libdbus-glib-1-dev,
               libgirepository1.0-dev (>= 1.32),
               libglib2.0-dev (>= 2.40),
               libxapian-dev (>= 1.2.12),
               libxml2-dev (>= 2.8.0),
               libyaml-dev,
               qtbase5-dev,
               xmlto
Standards-Version: 3.9.6
Homepage: http://www.freedesktop.org/wiki/Distributions/AppStream/
Vcs-Git: git://anonscm.debian.org/pkg-packagekit/appstream.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-packagekit/appstream.git

Package: appstream-index
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Software component index generator
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format,
 screenshot services and various other things needed to make handling
 of software smarter. Also, the AppStream data allows building
 application-centric software management tools.
 .
 This package provides tools to generate, maintain and access the
 AppStream database of installed and available software.

Package: libappstream2
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (>= ${binary:Version})
Description: Library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and various other things needed to make handling of software smarter.
 .
 This package contains a GObject-based library to access AppStream
 services, like the software component metadata database.
 It also contains functions for working with AppStream XML metadata.

Package: libappstream-dev
Architecture: any
Section: libdevel
Depends: libappstream2 (= ${binary:Version}),
         libglib2.0-dev (>= 2.40),
         ${misc:Depends}
Description: Library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and various other things needed to make handling of software smarter.
 .
 This package contains development files necessary to develop
 software-management tools which use the AppStream library.

Package: gir1.2-appstream
Architecture: any
Section: introspection
Depends: gir1.2-freedesktop (>= 1.32),
         gir1.2-glib-2.0 (>= 1.40),
         libappstream2 (= ${binary:Version}),
         ${misc:Depends}
Description: Library to access AppStream services (introspection data)
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and various other things needed to make handling of software smarter.
 .
 This package contains introspection data for the AppStream library.

Package: libappstreamqt1
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: appstream-index (>= ${binary:Version})
Description: Qt5 library to access AppStream services
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and various other things needed to make handling of software smarter.
 .
 This package contains a Qt-based library to access AppStream
 services, like the software component metadata database.

Package: libappstreamqt-dev
Architecture: any
Section: libdevel
Depends: libappstreamqt1 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Description: Qt5 library to access AppStream services (development files)
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and various other things needed to make handling of software smarter.
 .
 This package contains development files necessary to develop
 software-management tools which use the Qt5-based AppStream library.

Package: appstream-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: appstream-index
Description: Developer documentation for AppStream
 AppStream is a cross-distribution effort for creating and sharing
 metadata of software components available in the package repositories
 of a distribution.
 It provides specifications for an unified software component metadata format
 and various other things needed to make handling of software smarter.
 .
 This package provides developer documentation for AppStream.
